<template lang="pug">
div(style="min-height: 100vh;")
  CoreNavBar
  div.flex.flex-col
    div.flex(style="min-height:90vh;")
      div.flex.flex-col
        CoreSideBar
      div.p-4.w-full
        nuxt
</template>
<script>
export default {
  async created() {
    const isUser = this.$auth.isAuthenticated()
    if (!isUser) {
      this.$router.push('/')
    }
    const userGroups = await this.$auth.getUserGroups()
    console.log(userGroups)
    if (userGroups.includes('caregiver' || 'admin')) {
      this.$router.push('/caregiver')
    }
  },
}
</script>
